
package ca.canadapost.cpcdp.tracking.stub;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for reference-criteria complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="reference-criteria">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="customer-number" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="reference-number" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="destination-postal-code" type="{http://www.canadapost.ca/ws/soap/track}postal-code" minOccurs="0"/>
 *         &lt;element name="mailing-date-from" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="mailing-date-to" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "reference-criteria", propOrder = {

})
public class ReferenceCriteria {

    @XmlElement(name = "customer-number")
    protected String customerNumber;
    @XmlElement(name = "reference-number", required = true)
    protected String referenceNumber;
    @XmlElement(name = "destination-postal-code")
    protected String destinationPostalCode;
    @XmlElement(name = "mailing-date-from", required = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar mailingDateFrom;
    @XmlElement(name = "mailing-date-to", required = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar mailingDateTo;

    /**
     * Gets the value of the customerNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomerNumber() {
        return customerNumber;
    }

    /**
     * Sets the value of the customerNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomerNumber(String value) {
        this.customerNumber = value;
    }

    /**
     * Gets the value of the referenceNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReferenceNumber() {
        return referenceNumber;
    }

    /**
     * Sets the value of the referenceNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReferenceNumber(String value) {
        this.referenceNumber = value;
    }

    /**
     * Gets the value of the destinationPostalCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDestinationPostalCode() {
        return destinationPostalCode;
    }

    /**
     * Sets the value of the destinationPostalCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDestinationPostalCode(String value) {
        this.destinationPostalCode = value;
    }

    /**
     * Gets the value of the mailingDateFrom property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getMailingDateFrom() {
        return mailingDateFrom;
    }

    /**
     * Sets the value of the mailingDateFrom property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setMailingDateFrom(XMLGregorianCalendar value) {
        this.mailingDateFrom = value;
    }

    /**
     * Gets the value of the mailingDateTo property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getMailingDateTo() {
        return mailingDateTo;
    }

    /**
     * Sets the value of the mailingDateTo property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setMailingDateTo(XMLGregorianCalendar value) {
        this.mailingDateTo = value;
    }

}
